# Varnish file purge

## Contents of this file

* Introduction
* Requirements
* Installation
* Configuration

## Introduction

The Varnish file purger is a Drupal project developed to address compatibility issues between the Varnish Purge and Purge File modules, 
especially in setups where files are served across multiple domains. .

* For a full description of the module, visit the project page:
  https://www.drupal.org/project/varnish_file_purge

* To submit bug reports and feature suggestions, or to track changes:
  https://www.drupal.org/project/issues/varnish_file_purge

## Requirements

This module requires to have a varnish server running which you can connect to.

## Installation

Install as you would normally install a contributed Drupal module. For example:
```shell script
composer require drupal/varnish_file_purge
```
For more information: https://www.drupal.org/node/1897420

## Configuration

### Configuring the Varnish purger module
* Visit the Varnish purger configuration page (/admin/config/development/varnish_file_purge).
* Fill in the domains of your website, both front-end and back-end.
* Fill in the Varnish configuration: host, port and scheme
* If you want to log the URLs which are being cleared, turn on the debug option.

